petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLogEventGetId

Returns the event id when given the event name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventGetId(const char name[], PetscLogEvent *event)

Not Collective

### Input Parameter

name -The event name

### Output Parameter

event -The event, or -1 if no event with that name exists

### See Also

PetscLogEventBegin(), PetscLogEventEnd(), PetscLogStageGetId()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex3.c.html